# Export PCBA Files
KiCad plugin for creating bill of materials and placement files for JLCPCB's PCBA service

This is a very simple plugin that creates the required BOM and placement files for the JLCPCBA assembly service.

It works by reading the schematic to build up the LCSC part numbers and then matching it to the components that are on the PCB.

Custom rotations (required to ensure the components get the correct orientation for the service) are included in rotations.cf and are read each time the action is performed, so you can edit them as needed and try again until everything is done is okay.

Please return any required changes to the rotations.

TO INSTALL

To install, just copy git clone to your plugins directory.

USE

Just make sure that any components you want to place from the JLC service have an additional attribute in the schematic called "LCSC" and the value should be the LCSC part number, which will be used to pull out part number details.

Within the PCB editor you can click the JLCPCB action button (or use the external plugins menu) to run the action.

This will generate two files in the project directory:

| filename | Description |
| --- | --- |
| Project Name_JLCPCB_BOM_File.csv | The BOM file |
| Project name_JLCPCB_CPL_file.csv | The placement file for the top and bottom of the board |

These files can be uploaded to the JLCPCB PCBA page on request, if the rotations are not correct you can edit rotations.cf/-.properties and recreate the files.

DO

Still to do:

- More error checking
- More detailed instructions with pictures